aboutsummaryrefslogtreecommitdiff
path: root/net/sipxregistry/files
diff options
context:
space:
mode:
authorMartin Wilke <miwi@FreeBSD.org>2007-03-27 08:29:33 +0000
committerMartin Wilke <miwi@FreeBSD.org>2007-03-27 08:29:33 +0000
commit9398f47fcc359862b553e9cea2f0f097e4ee4ac6 (patch)
tree03b513922b316b604d153ca5c1410ef123bdfffa /net/sipxregistry/files
parent4b5f18f93601529f070df722d4fa979d52449cc5 (diff)
downloadports-9398f47fcc359862b553e9cea2f0f097e4ee4ac6.tar.gz
ports-9398f47fcc359862b553e9cea2f0f097e4ee4ac6.zip
sipxregistry should change the ownership, if necessary, of files and directories
it installs. Perviously, the toplevel port, sipxpbx, changed ownership for not only its files, but all the dependant ports too. - Bump PORTREVISION Submitted by: Mike Durian <durian@shadetreesoftware.com> (maintainer)
Notes
Notes: svn path=/head/; revision=188475
Diffstat (limited to 'net/sipxregistry/files')
-rw-r--r--net/sipxregistry/files/pkg-install.in36
1 files changed, 36 insertions, 0 deletions
diff --git a/net/sipxregistry/files/pkg-install.in b/net/sipxregistry/files/pkg-install.in
new file mode 100644
index 000000000000..8ac6d67cf34b
--- /dev/null
+++ b/net/sipxregistry/files/pkg-install.in
@@ -0,0 +1,36 @@
+#!/bin/sh
+
+PATH=/bin:/usr/sbin
+
+USER=sipx
+GROUP=sipx
+
+case $2 in
+PRE-INSTALL)
+ if pw group show "${GROUP}" 2> /dev/null ; then
+ echo "You already have a group \"${GROUP}\", so I will use it."
+ else
+ if pw groupadd ${GROUP} ; then
+ echo "Added group \"${GROUP}\"."
+ else
+ echo "Add of group \"${GROUP}\" failed."
+ exit 1
+ fi
+ fi
+
+ if pw user show "${USER}" 2> /dev/null ; then
+ echo "You already have a user \"${USER}\", so I will use it."
+ else
+ if pw useradd ${USER} -g ${GROUP} -h - \
+ -d %%LOCALSTATEDIR%%/sipxdata/configserver/phone/profile/tftproot -s %%PREFIX%%/bin/bash -c "sipX" ; then
+ echo "Added user \"${USER}\"."
+ else
+ echo "Add of user \"${USER}\" failed."
+ exit 1
+ fi
+ fi
+ ;;
+POST-INSTALL)
+ chown ${USER}:${GROUP} %%PREFIX%%/etc/sipxpbx
+ ;;
+esac